pappso::TimsFrameBase Class Reference

`#include <timsframebase.h>`

Inheritance diagram for pappso::TimsFrameBase:

## Public Member Functions

| TimsFrameBase (std::size_t timsId, quint32 scanNum)
| constructor for binary independant tims frame More...
| TimsFrameBase (const TimsFrameBase &other)
| ~TimsFrameBase ()
virtual bool | hasSameCalibrationData (const TimsFrameBase &other) const
| tells if 2 tims frame has the same calibration data Usefull to know if raw data can be handled between frames More...
virtual std::size_t | getNbrPeaks (std::size_t scanNum) const
| get the number of peaks in this spectrum need the binary file More...
virtual MassSpectrumSPtr | getMassSpectrumSPtr (std::size_t scanNum) const
| get Mass spectrum with peaks for this scan number need the binary file More...
virtual Trace | cumulateScanToTrace (std::size_t scanNumBegin, std::size_t scanNumEnd) const
| cumulate spectrum given a scan number range need the binary file More...
virtual void | cumulateScansInRawMap (std::map< quint32, quint32 > &rawSpectrum, std::size_t scanNumBegin, std::size_t scanNumEnd) const
| cumulate scan list into a trace into a raw spectrum map More...
bool | checkScanNum (std::size_t scanNum) const
| check that this scan number exists More...
void | setAccumulationTime (double accumulation_time_ms)
void | setMzCalibration (double T1_frame, double T2_frame, double digitizerTimebase, double digitizerDelay, double C0, double C1, double C2, double C3, double C4, double T1_ref, double T2_ref, double dC1, double dC2)
void | setTimsCalibration (int tims_model_type, double C0, double C1, double C2, double C3, double C4, double C5, double C6, double C7, double C8, double C9)
void | setTime (double time)
void | setMsMsType (quint8 type)
unsigned int | getMsLevel () const
double | getTime () const
std::size_t | getId () const
double | getDriftTime (std::size_t scanNum) const
| get drift time of a scan number in milliseconds More...
double | getOneOverK0Transformation (std::size_t scanNum) const
| get 1/K0 value of a given scan (mobility value) More...
std::size_t | getScanNumFromOneOverK0 (double one_over_k0) const
| get the scan number from a given 1/Ko mobility value More...
double | getVoltageTransformation (std::size_t scanNum) const
| get voltage for a given scan number More...
pappso::Trace | getTraceFromCumulatedScans (std::map< quint32, quint32 > &accumulated_scans) const
| transform accumulation of raw scans into a real mass spectrum More...
pappso::Trace | getTraceFromCumulatedScansBuiltinCentroid (std::map< quint32, quint32 > &accumulated_scans) const
| transform accumulation of raw scans into a real mass spectrum with a simple centroid on raw integers More...
virtual const MzCalibrationInterfaceSPtr & | getMzCalibrationInterfaceSPtr () const final
| get the MzCalibration model to compute mz and TOF for this frame More...
void | setMzCalibrationInterfaceSPtr (MzCalibrationInterfaceSPtr mzCalibration)

## Protected Attributes

quint32 | m_scanNumber
| total number of scans contained in this frame More...
std::size_t | m_timsId
| Tims frame database id (the SQL identifier of this frame) More...
double | m_accumulationTime = 0
| accumulation time in milliseconds More...
quint8 | m_msMsType = 0
double | m_time = 0
| retention time More...
double | m_timsDvStart = 0
double | m_timsSlope
double | m_timsTtrans = 0
double | m_timsNdelay = 0
double | m_timsVmin = 0
double | m_timsVmax = 0
double | m_timsC6 = 0
double | m_timsC7 = 0
MzCalibrationInterfaceSPtr | msp_mzCalibration = nullptr

## Detailed Description

Todo:
  write docs

Definition at line 47 of file timsframebase.h.

## Constructor & Destructor Documentation

## TimsFrameBase() [1/2]

pappso::TimsFrameBase::TimsFrameBase | ( | std::size_t | timsId,
|  | quint32 | scanNum
| ) |  |

constructor for binary independant tims frame

Parameters

  timsId | tims frame identifier in the database
  scanNum | the total number of scans contained in this frame

Definition at line 37 of file timsframebase.cpp.

{
qDebug() << timsId;
m_timsId = timsId;
m_scanNumber = scanNum;
}
pappso::TimsFrameBase::m_scanNumber
quint32 m_scanNumber
total number of scans contained in this frame
Definition: timsframebase.h:197
pappso::TimsFrameBase::m_timsId
std::size_t m_timsId
Tims frame database id (the SQL identifier of this frame)
Definition: timsframebase.h:203

References m_scanNumber, and m_timsId.

## TimsFrameBase() [2/2]

pappso::TimsFrameBase::TimsFrameBase | ( | const TimsFrameBase & | other | ) |

Copy constructor

Parameters

  other | TODO

## ~TimsFrameBase()

pappso::TimsFrameBase::~TimsFrameBase | ( |  | ) |

Destructor

Definition at line 49 of file timsframebase.cpp.

{
}

## Member Function Documentation

## checkScanNum()

bool pappso::TimsFrameBase::checkScanNum | ( | std::size_t | scanNum | ) | const

check that this scan number exists

Parameters

  scanNum | scan number in the frame in the order it lies in binary file, from 0 to N-1

Definition at line 101 of file timsframebase.cpp.

{
if(scanNum >= m_scanNumber)
{
throw pappso::ExceptionOutOfRange(
QObject::tr("Invalid scan number : scanNum %1 > m_scanNumber %2")
.arg(scanNum)
.arg(m_scanNumber));
}
return true;
}
pappso::ExceptionOutOfRange
Definition: exceptionoutofrange.h:32

References m_scanNumber.

Referenced by pappso::TimsFrame::getMassSpectrumSPtr(), pappso::TimsFrameType1::getMassSpectrumSPtr(), pappso::TimsFrame::getNbrPeaks(), pappso::TimsFrame::getScanIndexList(), and pappso::TimsFrame::getScanIntensities().

## cumulateScansInRawMap()

void pappso::TimsFrameBase::cumulateScansInRawMap | ( | std::map< quint32, quint32 > & | rawSpectrum,
|  | std::size_t | scanNumBegin,
|  | std::size_t | scanNumEnd
| ) |  | const

virtual

cumulate scan list into a trace into a raw spectrum map

Parameters

  rawSpectrum | simple map of integers to cumulate raw counts
  scanNumBegin | scan number in the frame in the order it lies in binary file, from 0 to N-1
  scanNumEnd | scan number in the frame in the order it lies in binary file, from 0 to N-1

Reimplemented in pappso::TimsFrame.

Definition at line 142 of file timsframebase.cpp.

{
throw PappsoException(
QObject::tr(
"ERROR unable to cumulateScansInRawMap in TimsFrameBase for scan "
"number begin %1 end %2")
.arg(scanNumBegin)
.arg(scanNumEnd));
}

## cumulateScanToTrace()

Trace pappso::TimsFrameBase::cumulateScanToTrace | ( | std::size_t | scanNumBegin,
|  | std::size_t | scanNumEnd
| ) |  | const

virtual

cumulate spectrum given a scan number range need the binary file

Parameters

  scanNumBegin | scan number in the frame in the order it lies in binary file, from 0 to N-1
  scanNumEnd | scan number in the frame in the order it lies in binary file, from 0 to N-1

Reimplemented in pappso::TimsFrame.

Definition at line 132 of file timsframebase.cpp.

{
throw PappsoException(
QObject::tr("ERROR unable to cumulateScanToTrace in TimsFrameBase for scan "
"number begin %1 end %2")
.arg(scanNumBegin)
.arg(scanNumEnd));
}

## getDriftTime()

double pappso::TimsFrameBase::getDriftTime | ( | std::size_t | scanNum | ) | const

get drift time of a scan number in milliseconds

Parameters

  scanNum | scan number in the frame in the order it lies in binary file, from 0 to N-1

Returns
  time in milliseconds of mobility delay (drift time)

Definition at line 241 of file timsframebase.cpp.

{
return (m_accumulationTime / (double)m_scanNumber) * ((double)scanNum);
}
pappso::TimsFrameBase::m_accumulationTime
double m_accumulationTime
accumulation time in milliseconds
Definition: timsframebase.h:207

References m_accumulationTime, and m_scanNumber.

## getId()

std::size_t pappso::TimsFrameBase::getId | ( |  | ) | const

Definition at line 183 of file timsframebase.cpp.

{
return m_timsId;
}

References m_timsId.

Referenced by pappso::TimsFrameType1::getMassSpectrumSPtr().

## getMassSpectrumSPtr()

MassSpectrumSPtr pappso::TimsFrameBase::getMassSpectrumSPtr | ( | std::size_t | scanNum | ) | const

virtual

get Mass spectrum with peaks for this scan number need the binary file

Parameters

  scanNum | scan number in the frame in the order it lies in binary file, from 0 to N-1

Reimplemented in pappso::TimsFrameType1, and pappso::TimsFrame.

Definition at line 124 of file timsframebase.cpp.

{
throw PappsoException(
QObject::tr(
"ERROR unable to getMassSpectrumSPtr in TimsFrameBase for scan number %1")
.arg(scanNum));
}

## getMsLevel()

unsigned int pappso::TimsFrameBase::getMsLevel | ( |  | ) | const

Definition at line 169 of file timsframebase.cpp.

{
if(m_msMsType == 0)
return 1;
return 2;
}
pappso::TimsFrameBase::m_msMsType
quint8 m_msMsType
Definition: timsframebase.h:209

References m_msMsType.

## getMzCalibrationInterfaceSPtr()

const MzCalibrationInterfaceSPtr & pappso::TimsFrameBase::getMzCalibrationInterfaceSPtr | ( |  | ) | const

final virtual

get the MzCalibration model to compute mz and TOF for this frame

Definition at line 421 of file timsframebase.cpp.

{
if(msp_mzCalibration == nullptr)
{
throw pappso::PappsoException(
QObject::tr("ERROR in %1, %2, %3 msp_mzCalibration is null")
.arg(__FILE__)
.arg(__FUNCTION__)
.arg(__LINE__));
}
return msp_mzCalibration;
}
pappso::PappsoException
Definition: pappsoexception.h:42
pappso::TimsFrameBase::msp_mzCalibration
MzCalibrationInterfaceSPtr msp_mzCalibration
Definition: timsframebase.h:226

References msp_mzCalibration.

Referenced by pappso::TimsFrame::XicComputeStructure::XicComputeStructure(), pappso::TimsFrame::cumulateScanToTrace(), pappso::TimsFrame::getMassSpectrumSPtr(), pappso::TimsFrameType1::getMassSpectrumSPtr(), getTraceFromCumulatedScans(), and getTraceFromCumulatedScansBuiltinCentroid().

## getNbrPeaks()

std::size_t pappso::TimsFrameBase::getNbrPeaks | ( | std::size_t | scanNum | ) | const

virtual

get the number of peaks in this spectrum need the binary file

Parameters

  scanNum | scan number in the frame in the order it lies in binary file, from 0 to N-1

Reimplemented in pappso::TimsFrameType1, and pappso::TimsFrame.

Definition at line 115 of file timsframebase.cpp.

{
throw PappsoException(
QObject::tr(
"ERROR unable to get number of peaks in TimsFrameBase for scan number %1")
.arg(scanNum));
}

## getOneOverK0Transformation()

double pappso::TimsFrameBase::getOneOverK0Transformation | ( | std::size_t | scanNum | ) | const

get 1/K0 value of a given scan (mobility value)

Parameters

  scanNum | scan number in the frame in the order it lies in binary file, from 0 to N-1

Definition at line 247 of file timsframebase.cpp.

{
return 1 / (m_timsC6 + (m_timsC7 / getVoltageTransformation(scanNum)));
}
pappso::TimsFrameBase::getVoltageTransformation
double getVoltageTransformation(std::size_t scanNum) const
get voltage for a given scan number
Definition: timsframebase.cpp:219
pappso::TimsFrameBase::m_timsC6
double m_timsC6
Definition: timsframebase.h:223
pappso::TimsFrameBase::m_timsC7
double m_timsC7
Definition: timsframebase.h:224

References getVoltageTransformation(), m_timsC6, and m_timsC7.

## getScanNumFromOneOverK0()

std::size_t pappso::TimsFrameBase::getScanNumFromOneOverK0 | ( | double | one_over_k0 | ) | const

get the scan number from a given 1/Ko mobility value

Parameters

  one_over_k0 | the mobility value to tranform

Returns
  integer the scan number in the frame in the order it lies in binary file, from 0 to N-1

Definition at line 254 of file timsframebase.cpp.

{
double temp = 1 / one_over_k0;
temp = temp - m_timsC6;
temp = temp / m_timsC7;
temp = 1 / temp;
temp = temp - m_timsDvStart;
temp = temp / m_timsSlope + m_timsTtrans + m_timsNdelay;
return (std::size_t)std::round(temp);
}
pappso::TimsFrameBase::m_timsSlope
double m_timsSlope
Definition: timsframebase.h:216
pappso::TimsFrameBase::m_timsNdelay
double m_timsNdelay
Definition: timsframebase.h:220
pappso::TimsFrameBase::m_timsTtrans
double m_timsTtrans
Definition: timsframebase.h:219
pappso::TimsFrameBase::m_timsDvStart
double m_timsDvStart
Definition: timsframebase.h:215

References m_timsC6, m_timsC7, m_timsDvStart, m_timsNdelay, m_timsSlope, and m_timsTtrans.

## getTime()

double pappso::TimsFrameBase::getTime | ( |  | ) | const

Definition at line 177 of file timsframebase.cpp.

{
return m_time;
}
pappso::TimsFrameBase::m_time
double m_time
retention time
Definition: timsframebase.h:213

References m_time.

## getTraceFromCumulatedScans()

pappso::Trace pappso::TimsFrameBase::getTraceFromCumulatedScans | ( | std::map< quint32, quint32 > & | accumulated_scans | ) | const

transform accumulation of raw scans into a real mass spectrum

Definition at line 281 of file timsframebase.cpp.

{
qDebug();
// qDebug();
// add flanking peaks
pappso::Trace local_trace;
MzCalibrationInterface *mz_calibration_p =
getMzCalibrationInterfaceSPtr().get();
DataPoint element;
for(auto &scan_element : accumulated_scans)
{
// intensity normalization
element.y = ((double)scan_element.second) * 100.0 / m_accumulationTime;
// mz calibration
element.x = mz_calibration_p->getMzFromTofIndex(scan_element.first);
local_trace.push_back(element);
}
local_trace.sortX();
qDebug();
// qDebug();
return local_trace;
}
pappso::TimsFrameBase::getMzCalibrationInterfaceSPtr
virtual const MzCalibrationInterfaceSPtr & getMzCalibrationInterfaceSPtr() const final
get the MzCalibration model to compute mz and TOF for this frame
Definition: timsframebase.cpp:421
pappso::Trace
A simple container of DataPoint instances.
Definition: trace.h:148
pappso::Trace::sortX
void sortX()
Definition: trace.cpp:905

References getMzCalibrationInterfaceSPtr(), pappso::MzCalibrationInterface::getMzFromTofIndex(), m_accumulationTime, pappso::Trace::sortX(), pappso::DataPoint::x, and pappso::DataPoint::y.

## getTraceFromCumulatedScansBuiltinCentroid()

pappso::Trace pappso::TimsFrameBase::getTraceFromCumulatedScansBuiltinCentroid | ( | std::map< quint32, quint32 > & | accumulated_scans | ) | const

transform accumulation of raw scans into a real mass spectrum with a simple centroid on raw integers

Definition at line 312 of file timsframebase.cpp.

{
qDebug();
// qDebug();
// add flanking peaks
std::vector<quint32> keys;
transform(begin(accumulated_scans),
end(accumulated_scans),
back_inserter(keys),
[](std::map<quint32, quint32>::value_type const &pair) {
return pair.first;
});
std::sort(keys.begin(), keys.end());
pappso::DataPoint data_point_cumul;
data_point_cumul.x = 0;
data_point_cumul.y = 0;
pappso::Trace local_trace;
MzCalibrationInterface *mz_calibration_p =
getMzCalibrationInterfaceSPtr().get();
quint32 last_key = 0;
for(quint32 key : keys)
{
if(key == last_key + 1)
{
// cumulate
if(accumulated_scans[key] > accumulated_scans[last_key])
{
if(data_point_cumul.x == last_key)
{
// growing peak
data_point_cumul.x = key;
data_point_cumul.y += accumulated_scans[key];
}
else
{
// new peak
// flush
if(data_point_cumul.y > 0)
{
// intensity normalization
data_point_cumul.y *= 100.0 / m_accumulationTime;
// mz calibration
data_point_cumul.x =
mz_calibration_p->getMzFromTofIndex(data_point_cumul.x);
local_trace.push_back(data_point_cumul);
}
// new point
data_point_cumul.x = key;
data_point_cumul.y = accumulated_scans[key];
}
}
else
{
data_point_cumul.y += accumulated_scans[key];
}
}
else
{
// flush
if(data_point_cumul.y > 0)
{
// intensity normalization
data_point_cumul.y *= 100.0 / m_accumulationTime;
qDebug() << "raw data x=" << data_point_cumul.x;
// mz calibration
data_point_cumul.x =
mz_calibration_p->getMzFromTofIndex(data_point_cumul.x);
qDebug() << "mz=" << data_point_cumul.x;
local_trace.push_back(data_point_cumul);
}
// new point
data_point_cumul.x = key;
data_point_cumul.y = accumulated_scans[key];
}
last_key = key;
}
// flush
if(data_point_cumul.y > 0)
{
// intensity normalization
data_point_cumul.y *= 100.0 / m_accumulationTime;
// mz calibration
data_point_cumul.x =
mz_calibration_p->getMzFromTofIndex(data_point_cumul.x);
local_trace.push_back(data_point_cumul);
}
local_trace.sortX();
qDebug();
// qDebug();
return local_trace;
}
pappso::DataPoint
Definition: datapoint.h:21
pappso::DataPoint::x
pappso_double x
Definition: datapoint.h:22
pappso::DataPoint::y
pappso_double y
Definition: datapoint.h:23

References getMzCalibrationInterfaceSPtr(), pappso::MzCalibrationInterface::getMzFromTofIndex(), m_accumulationTime, pappso::Trace::sortX(), pappso::DataPoint::x, and pappso::DataPoint::y.

## getVoltageTransformation()

double pappso::TimsFrameBase::getVoltageTransformation | ( | std::size_t | scanNum | ) | const

get voltage for a given scan number

Parameters

  scanNum | scan number in the frame in the order it lies in binary file, from 0 to N-1

Returns
  double volt measure

Definition at line 219 of file timsframebase.cpp.

{
double v = m_timsDvStart +
m_timsSlope * ((double)scanNum - m_timsTtrans - m_timsNdelay);
if(v < m_timsVmin)
{
throw pappso::PappsoException(
QObject::tr("ERROR in TimsFrame::getVoltageTransformation invalid tims "
"calibration, v < m_timsVmin"));
}
if(v > m_timsVmax)
{
throw pappso::PappsoException(
QObject::tr("ERROR in TimsFrame::getVoltageTransformation invalid tims "
"calibration, v > m_timsVmax"));
}
return v;
}
pappso::TimsFrameBase::m_timsVmax
double m_timsVmax
Definition: timsframebase.h:222
pappso::TimsFrameBase::m_timsVmin
double m_timsVmin
Definition: timsframebase.h:221

References m_timsDvStart, m_timsNdelay, m_timsSlope, m_timsTtrans, m_timsVmax, and m_timsVmin.

Referenced by getOneOverK0Transformation().

## hasSameCalibrationData()

bool pappso::TimsFrameBase::hasSameCalibrationData | ( | const TimsFrameBase & | other | ) | const

virtual

tells if 2 tims frame has the same calibration data Usefull to know if raw data can be handled between frames

Definition at line 266 of file timsframebase.cpp.

{
if((m_timsDvStart == other.m_timsDvStart) &&
(m_timsTtrans == other.m_timsTtrans) &&
(m_timsNdelay == other.m_timsNdelay) && (m_timsVmin == other.m_timsVmin) &&
(m_timsVmax == other.m_timsVmax) && (m_timsC6 == other.m_timsC6) &&
(m_timsC7 == other.m_timsC7) && (m_timsSlope == other.m_timsSlope))
{
return true;
}
return false;
}

References m_timsC6, m_timsC7, m_timsDvStart, m_timsNdelay, m_timsSlope, m_timsTtrans, m_timsVmax, and m_timsVmin.

## setAccumulationTime()

void pappso::TimsFrameBase::setAccumulationTime | ( | double | accumulation_time_ms | ) |

Definition at line 54 of file timsframebase.cpp.

{
m_accumulationTime = accumulation_time_ms;
}

References m_accumulationTime.

## setMsMsType()

void pappso::TimsFrameBase::setMsMsType | ( | quint8 | type | ) |

Definition at line 161 of file timsframebase.cpp.

{
qDebug() << " m_msMsType=" << type;
m_msMsType = type;
}

References m_msMsType.

## setMzCalibration()

void pappso::TimsFrameBase::setMzCalibration | ( | double | T1_frame,
|  | double | T2_frame,
|  | double | digitizerTimebase,
|  | double | digitizerDelay,
|  | double | C0,
|  | double | C1,
|  | double | C2,
|  | double | C3,
|  | double | C4,
|  | double | T1_ref,
|  | double | T2_ref,
|  | double | dC1,
|  | double | dC2
| ) |  |

Definition at line 61 of file timsframebase.cpp.

{
/* MzCalibrationModel1 mzCalibration(temperature_correction,
digitizerTimebase,
digitizerDelay,
C0,
C1,
C2,
C3,
C4);
*/
msp_mzCalibration = std::make_shared<MzCalibrationModel1>(T1_frame,
T2_frame,
digitizerTimebase,
digitizerDelay,
C0,
C1,
C2,
C3,
C4,
T1_ref,
T2_ref,
dC1,
dC2);
}

References msp_mzCalibration.

## setMzCalibrationInterfaceSPtr()

void pappso::TimsFrameBase::setMzCalibrationInterfaceSPtr | ( | MzCalibrationInterfaceSPtr | mzCalibration | ) |

Definition at line 436 of file timsframebase.cpp.

{
if(mzCalibration == nullptr)
{
throw pappso::PappsoException(
QObject::tr("ERROR in %1, %2, %3 msp_mzCalibration is null")
.arg(__FILE__)
.arg(__FUNCTION__)
.arg(__LINE__));
}
msp_mzCalibration = mzCalibration;
}

References msp_mzCalibration.

## setTime()

void pappso::TimsFrameBase::setTime | ( | double | time | ) |

Definition at line 155 of file timsframebase.cpp.

{
m_time = time;
}

References m_time.

## setTimsCalibration()

void pappso::TimsFrameBase::setTimsCalibration | ( | int | tims_model_type,
|  | double | C0,
|  | double | C1,
|  | double | C2,
|  | double | C3,
|  | double | C4,
|  | double | C5,
|  | double | C6,
|  | double | C7,
|  | double | C8,
|  | double | C9
| ) |  |

Definition at line 188 of file timsframebase.cpp.

{
if(tims_model_type != 2)
{
throw pappso::PappsoException(QObject::tr(
"ERROR in TimsFrame::setTimsCalibration tims_model_type != 2"));
}
m_timsDvStart = C2; // C2 from TimsCalibration
m_timsTtrans = C4; // C4 from TimsCalibration
m_timsNdelay = C0; // C0 from TimsCalibration
m_timsVmin = C8; // C8 from TimsCalibration
m_timsVmax = C9; // C9 from TimsCalibration
m_timsC6 = C6;
m_timsC7 = C7;
m_timsSlope =
(C3 - m_timsDvStart) / C1; // //C3 from TimsCalibration // C2 from
// TimsCalibration // C1 from TimsCalibration
}

References m_timsC6, m_timsC7, m_timsDvStart, m_timsNdelay, m_timsSlope, m_timsTtrans, m_timsVmax, and m_timsVmin.

## Member Data Documentation

## m_accumulationTime

double pappso::TimsFrameBase::m_accumulationTime = 0

protected

accumulation time in milliseconds

Definition at line 207 of file timsframebase.h.

Referenced by pappso::TimsFrame::cumulateScanToTrace(), getDriftTime(), pappso::TimsFrame::getMassSpectrumSPtr(), pappso::TimsFrameType1::getMassSpectrumSPtr(), pappso::TimsFrame::getRawTraceSPtr(), pappso::TimsFrameType1::getRawTraceSPtr(), getTraceFromCumulatedScans(), getTraceFromCumulatedScansBuiltinCentroid(), and setAccumulationTime().

## m_msMsType

quint8 pappso::TimsFrameBase::m_msMsType = 0

protected

Definition at line 209 of file timsframebase.h.

Referenced by getMsLevel(), and setMsMsType().

## m_scanNumber

quint32 pappso::TimsFrameBase::m_scanNumber

protected

total number of scans contained in this frame

Definition at line 197 of file timsframebase.h.

Referenced by pappso::TimsFrame::TimsFrame(), TimsFrameBase(), pappso::TimsFrameType1::TimsFrameType1(), checkScanNum(), pappso::TimsFrameType1::copyAndLzfDecompress(), pappso::TimsFrame::extractTimsXicListInRtRange(), getDriftTime(), and pappso::TimsFrame::getNbrPeaks().

## m_time

double pappso::TimsFrameBase::m_time = 0

protected

retention time

Definition at line 213 of file timsframebase.h.

Referenced by pappso::TimsFrame::extractTimsXicListInRtRange(), getTime(), and setTime().

## m_timsC6

double pappso::TimsFrameBase::m_timsC6 = 0

protected

Definition at line 223 of file timsframebase.h.

Referenced by getOneOverK0Transformation(), getScanNumFromOneOverK0(), hasSameCalibrationData(), and setTimsCalibration().

## m_timsC7

double pappso::TimsFrameBase::m_timsC7 = 0

protected

Definition at line 224 of file timsframebase.h.

Referenced by getOneOverK0Transformation(), getScanNumFromOneOverK0(), hasSameCalibrationData(), and setTimsCalibration().

## m_timsDvStart

double pappso::TimsFrameBase::m_timsDvStart = 0

protected

Definition at line 215 of file timsframebase.h.

Referenced by getScanNumFromOneOverK0(), getVoltageTransformation(), hasSameCalibrationData(), and setTimsCalibration().

## m_timsId

std::size_t pappso::TimsFrameBase::m_timsId

protected

Tims frame database id (the SQL identifier of this frame)

Warning
  in sqlite, there is another field called TimsId : this is not that, because it is in fact an offset in bytes in the binary file.

Definition at line 203 of file timsframebase.h.

Referenced by pappso::TimsFrame::TimsFrame(), TimsFrameBase(), pappso::TimsFrameType1::TimsFrameType1(), getId(), and pappso::TimsFrameType1::lzfDecompressScan().

## m_timsNdelay

double pappso::TimsFrameBase::m_timsNdelay = 0

protected

Definition at line 220 of file timsframebase.h.

Referenced by getScanNumFromOneOverK0(), getVoltageTransformation(), hasSameCalibrationData(), and setTimsCalibration().

## m_timsSlope

double pappso::TimsFrameBase::m_timsSlope

protected

Initial value:
=
0

Definition at line 216 of file timsframebase.h.

Referenced by getScanNumFromOneOverK0(), getVoltageTransformation(), hasSameCalibrationData(), and setTimsCalibration().

## m_timsTtrans

double pappso::TimsFrameBase::m_timsTtrans = 0

protected

Definition at line 219 of file timsframebase.h.

Referenced by getScanNumFromOneOverK0(), getVoltageTransformation(), hasSameCalibrationData(), and setTimsCalibration().

## m_timsVmax

double pappso::TimsFrameBase::m_timsVmax = 0

protected

Definition at line 222 of file timsframebase.h.

Referenced by getVoltageTransformation(), hasSameCalibrationData(), and setTimsCalibration().

## m_timsVmin

double pappso::TimsFrameBase::m_timsVmin = 0

protected

Definition at line 221 of file timsframebase.h.

Referenced by getVoltageTransformation(), hasSameCalibrationData(), and setTimsCalibration().

## msp_mzCalibration

MzCalibrationInterfaceSPtr pappso::TimsFrameBase::msp_mzCalibration = nullptr

protected

Definition at line 226 of file timsframebase.h.

Referenced by getMzCalibrationInterfaceSPtr(), setMzCalibration(), and setMzCalibrationInterfaceSPtr().

The documentation for this class was generated from the following files:

- pappsomspp/vendors/tims/timsframebase.h
- pappsomspp/vendors/tims/timsframebase.cpp